require 'soar_configured_factory'
require 'log4r_auditor'

class Main
  def test_sanity
    configuration = {
      'log4r' => {
        'adaptor' => 'Log4rAuditor::Log4rAuditor',
        'file_name' => 'soar_sc.log',
        'standard_stream' => 'stdout',
      }
    }
    auditor_factory = SoarConfiguredFactory::ConfiguredFactory.new(configuration)
    auditor = auditor_factory.create('log4r')
    puts auditor
  end
end

main = Main.new
main.test_sanity
